New(?) warnings on macOS 11 big sur

GitHub added macOS 11 runners to its hosted pool.
With it, I see the following new(?) warnings:

../libinterp/corefcn/cdisplay.c:103:35: warning: 'CGDisplayModeCopyPixelEncoding' is deprecated: first deprecated in macOS 10.11 - No longer supported [-Wdeprecated-declarations]
      CFStringRef pixelEncoding = CGDisplayModeCopyPixelEncoding (mode);
                                  ^
/Applications/Xcode_12.5.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/System/Library/Frameworks/CoreGraphics.framework/Headers/CGDirectDisplay.h:177:34: note: 'CGDisplayModeCopyPixelEncoding' has been explicitly marked deprecated here
CG_EXTERN CFStringRef __nullable CGDisplayModeCopyPixelEncoding(
                                 ^
1 warning generated.
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(advnst.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genbet.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genchi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genexp.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genf.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(gengam.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genmn.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genmul.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(gennch.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(gennf.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(gennor.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genprm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(genunf.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(getcgn.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(getsd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(ignbin.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(ignlgi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(ignnbn.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(ignpoi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(ignuin.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(initgn.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(inrgcm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(lennob.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(mltmod.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(phrtsd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(qrgnin.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(ranf.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(setall.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(setant.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(setgmn.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(setsd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(sexpo.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(sgamma.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(snorm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/ranlib/.libs/libranlib.a(wrap.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cacai.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cacon.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbesh.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbesi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbesj.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbesk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbesy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbinu.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbuni.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbunk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cunk1.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cunk2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-crati.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cshch.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cuni1.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cuoik.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cairy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbiry.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ckscl.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cs1s2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cuchk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cuni2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cwrsk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-casyi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cbknu.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cmlri.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cseri.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cunhj.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cunik.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dgamln.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-gamln.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzabs.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzexp.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzlog.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzsqrt.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zacai.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zacon.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zairy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zasyi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbesh.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbesi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbesj.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbesk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbesy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbinu.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbiry.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbknu.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbuni.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zbunk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zdiv.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zkscl.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zmlri.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zmlt.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zrati.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zs1s2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zseri.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zshch.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zuchk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zunhj.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zuni1.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zuni2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zunik.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zunk1.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zunk2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zuoik.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zwrsk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddot3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zdotc3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-sdot3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cdotc3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dmatm3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zmatm3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-smatm3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cmatm3.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xddot.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xdnrm2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xdznrm2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzdotc.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzdotu.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xsdot.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xsnrm2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xscnrm2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xcdotc.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xcdotu.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-cconv2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-csconv2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dconv2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-sconv2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zconv2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zdconv2.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-datv.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dcnst0.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dcnstr.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddasic.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddasid.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddasik.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddaspk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddstp.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddwnrm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dfnrmd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dfnrmk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dhels.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dheqr.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dinvwt.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dlinsd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dlinsk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dmatd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dnedd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dnedk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dnsd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dnsid.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dnsik.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dnsk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dorth.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dslvd.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dslvk.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dspigm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dyypnw.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddasrt.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-drchek.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-droots.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddaini.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddajac.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddanrm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddaslv.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddassl.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddastp.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddatrp.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ddawts.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xclange.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xdlamch.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xdlange.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xilaenv.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xslamch.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xslange.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-xzlange.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-zrsf2csf.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-crsf2csf.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dcfode.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dewset.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dintdy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dlsode.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dprepj.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dsolsy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dstode.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dvnorm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-scfode.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-sewset.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-sintdy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-slsode.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-sprepj.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-ssolsy.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-sstode.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-svnorm.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dqagi.o)) was built for newer macOS version (11.5) than being linked (11.0)
ld: warning: object file (liboctave/external/.libs/libexternal.a(libexternal_la-dqagie.o)) was built for newer macOS version (11.5) than being linked (11.0)
...

Is this something we should worry about?

IIUC, it is possible on macOS to compile for a target OS version that is older than the build OS.
We are using gfortran to build the Fortran object files and we are using clang for linking. It looks like gfortran is defaulting to the OS version of the build system (i.e., 11.5) while clang is defaulting to 11.0 on those GitHub hosted runners.
Apparently, that combination seems to play out ok (apart from these linker warnings). But those target versions depend on the versions of GCC and clang that are used for compilation/linking.
IIUC, it might be possible that those default target versions are incompatible.

IIUC, it is possible to set the target version for the compiler and linker (at least for gcc and clang) with -mmacosx-version-min=version.

For Windows, we set an API version during configure. Should we do something similar for the target OS version on macOS?
What would be a reasonable target OS version for macOS targets? 10.0? Or a later version?

Edit: After a lot of googling and trial and error with the GitHub runners, I think the first version to support C++11 is macOS 10.9.
This patch sets the OS target hard to that version in the compiler and linker flags in configure:
configure-macosx-version-min.patch (1.7 KB)
With that change in a fork on GitHub, the runners no longer show the linker errors from above for our own object files. However, similar warnings show up for other libraries we link to (like Qt, the SuiteSparse libraries, …) and also for libgnu.a.
Additionally, I’m not sure if hard-coding the target version in the configure script really is what we want to do.
Could a macOS experts please shed some light on how (and if) we are supposed to use -mmacosx-version-min? Or describe how (or if) we should otherwise deal with the differing default targets that gfortran (from GCC) and the default clang and clang++ on macOS seem to be using?

This is probably not a high priority issue. But mentioning @apjanke and @schoeps because they are using macOS afaik.

I’ve got nothin’ here; sorry. I seldom venture anywhere newer than macOS 10.14. Though it looks like I’ll be forced to soon.